.NET

Reply
Contributor
Giri_kani
Posts: 15
Registered: ‎11-26-2013
Message 1 of 2 (168 Views)
Accepted Solution

Trans Function in .net

168 Views, 1 Replies
12-19-2013 02:35 AM

(vlax-3d-point (trans point3d 1 0))

 

 

I want to insert a block using the above mentioned point in .net..

How to get the 3d point from the above metioned line in .net?

 

Please guide me if you know

Editor.CurrentUserCoordinateSystem returns the transformation matrix between WCS and UCS. Once you have that, you can transform your Point3d to the new coordinate system by passing the matrix to the Point3d.TransformBy method. You'll find a few examples of CurrentUSerCoordinateSystem if you google for it.

Board Manager
StephenPreston
Posts: 400
Registered: ‎05-22-2006
Message 2 of 2 (135 Views)

Re: Trans Function in .net

12-19-2013 09:12 AM in reply to: Giri_kani

Editor.CurrentUserCoordinateSystem returns the transformation matrix between WCS and UCS. Once you have that, you can transform your Point3d to the new coordinate system by passing the matrix to the Point3d.TransformBy method. You'll find a few examples of CurrentUSerCoordinateSystem if you google for it.

Cheers,

Stephen Preston
Autodesk Developer Network
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.